<h5>Order Management</h5>
<p>Manage your orders here and get an overview of status</p>
<section>
  <div class="print">
    <span>Total items in inventory</span>
    <button type="button" class="btn btn-outline-primary" (click)="downloadAsPDF()">Print summary</button>
  </div>
  <div class="total">
    <div class="total-number"><span>{{data.length.toLocaleString()}}</span> items</div>
    <div class="total-chart" *ngIf="chartData.length > 0">
      <div appStackedChart [data]="chartData"></div>
    </div>
  </div>
  <div class="status">
    <div class="completed">
      <div></div>
      <div>
        <span class="label">Completed</span><br>
        <span class="number">{{completed}}</span>
      </div>
    </div>
    <div class="pending">
      <div></div>
      <div>
        <span class="label">Pending</span><br>
        <span class="number">{{pending}}</span>
      </div>
    </div>
    <div class="cancelled">
      <div></div>
      <div>
        <span class="label">Cancelled</span><br>
        <span class="number">{{cancelled}}</span>
      </div>
    </div>
  </div>
  <div class="table" id="pdfTable" #pdfTable>
    <table class="table table-striped" >
      <thead>
      <tr>
        <th scope="col">Item ID</th>
        <th scope="col">Address</th>
        <th scope="col">Ordered Time</th>
        <th scope="col">Status/Action</th>
      </tr>
      </thead>
      <tbody style="height: 100px !important;">
      <tr *ngFor="let status of data; let i = index">
        <td>{{ status.data.id }}</td>
        <td>
          {{ status.data.address }}
        </td>
        <td>{{ timeSince(status.data.ts) }}</td>
        <td>
          <div>
            <a class="text-success fw-bold status-action" *ngIf="status.data.status == 'New'" (click)="acceptOrder(i)">Accept</a>
            <a class="text-danger fw-bold status-action" *ngIf="status.data.status == 'New'" (click)="cancelOrder(i)">Cancel</a>
            <a class="text-primary fw-bold status-action"
               *ngIf="status.data.status == 'Accepted' || status.data.status == 'Transit'"
               (click)="completeOrder(i)">Mark as Completed</a>
          </div>
          <span *ngIf="status.data.status !== 'New'" [ngClass]="{'text-danger': status.data.status == 'Cancelled'}">{{status.data.status}}</span>
        </td>
      </tr>
      </tbody>
    </table>
  </div>
</section>
